package com.ydl.js.moduler.service

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.ydl.js.api.IJsService

@Route(path = "/js/JsService")
class JsImpl : IJsService {
    companion object {
        var isH5Open = true
        var isMainOpen = true
    }

    override fun init(context: Context?) {
    }


    override fun isH5Open(): Boolean {
        return isH5Open
    }

    override fun isMainOpen(): Boolean {
        return isMainOpen
    }

    override fun setH5Open(open: Boolean) {
        isH5Open = open
    }

    override fun setMainOpen(open: Boolean) {
        isMainOpen = open
    }
}